UARK(4)

NAME
uark - Arkmicro Technologies ARK3116 based USB serial adapter

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device uark

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    uark_load="YES"

DESCRIPTION
The uark driver supports Arkmicro Technologies ARK3116 based serial adapters.

HARDWARE
The uark driver supports the following adapters:

•   HL USB-RS232
•   HugePine USB-UART
•   KQ-U8A Data Cable
•   Skymaster USB to RS232

SEE ALSO
tty(4), ucom(4), usb(4)

HISTORY
The uark device driver first appeared in OpenBSD 4.0. The first FreeBSD release to include it was FreeBSD 7.0.

AUTHORS
-nosplit The uark driver was written by Jonathan Gray <jsg@openbsd.org>.

CAVEATS
Setting hardware flow control is not currently supported. It is not yet known how to ask the hardware to send a break.

Arkmicro Technologies do not reply to requests of documentation for their products.